Subject: bug#14083: 24.3.50; Dired error deleting directory

From: Eli Zaretskii <[email-masked]>
Date: Fri, 29 Mar 2013 00:09:04 +0200

> From: [email-masked]
> Date: Thu, 28 Mar 2013 17:49:12 -0400
> 
> After invoking Dired and marking a directory (recursively) and executing
> `(dired-do-flagged-delete)' I got the following message:
> 
> (file-error Removing directory permission denied
> c:/Users/tempuser/AppData/Local/Temp/temp-dir)
> 
> Trying to delete the directory from the command line I got:
> 
> The process cannot access the file because it is being used by another
> process.
> 
> Is there any way for Emacs to display this message rather than the
> generic "(file-error Removing directory permission denied)"

Not easily.  Emacs uses Posix errno variable values to produce the
text of the error messages.  Windows has a much richer set of possible
error values (this one is ERROR_SHARING_VIOLATION), but the Windows
runtime and sometimes Emacs code itself map them to the Posix errno
values, in this case EPERM, and only those errno values are exposed to
the Emacs primitives.